The session user's email and admin standing.
curl --request GET \
--url https://api.symbiosis.markets/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"email": "<string>",
"is_admin": true,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view_only": true
}Auth
The session user's email and admin standing.
GET
/
auth
/
me
The session user's email and admin standing.
curl --request GET \
--url https://api.symbiosis.markets/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"email": "<string>",
"is_admin": true,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view_only": true
}Authorizations
Session token from POST /auth/login.
Response
The session user's email address.
Whether the session user can call /auth/admin/*.
The session user's id, as recorded on RFQ requests, quotes, and matches.
Whether the account is view-only: read scope, no KYC.